Skip to main content
POST
/
workflows
/
{id}
/
trigger
Manually trigger execution of a workflow
curl --request POST \
  --url https://api.artu.ai/workflows/{id}/trigger \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Environment: <api-key>' \
  --data '
{
  "triggerType": "<unknown>",
  "entityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "inputs": {},
  "uploadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "filename": "<string>",
  "payload": "<unknown>"
}
'
{
  "ok": "<unknown>",
  "workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "executionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "error": "<string>",
  "alertIds": [
    "<string>"
  ],
  "durationMs": 0,
  "producedRecords": [],
  "producedFiles": [],
  "rowCount": 0,
  "schemaHash": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

id
string<uuid>
required

Body

application/json
triggerType
required
entityType
enum<string>
Available options:
transaction,
client
entityId
string<uuid>
inputs
object
uploadId
string<uuid>
filename
string
payload
any

Response

200 - application/json

OK

ok
any
required
workflowId
string<uuid>
required
executionId
string<uuid>
required
status
enum<string>
required
Available options:
queued,
completed,
waiting_for_input
error
string | null
required
alertIds
string[]
required
durationMs
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
producedRecords
object[]
producedFiles
object[]
rowCount
integer
Required range: -9007199254740991 <= x <= 9007199254740991
schemaHash
string